# Created by pyp2rpm-1.0.0
%define pypi_name h5py

# (tv) disable rpath checks;
%global __brp_check_rpaths %nil

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{pypi_name}

Version:        3.11.0
Release:        %mkrel 5
Summary:        Read and write HDF5 files from Python
Group:          Development/Python
License:        BSD
URL:            https://www.h5py.org/
Source0:        https://pypi.python.org/packages/source/h/h5py/%{pypi_name}-%{version}.tar.gz
# drop the unnecessary workaround for float128 type after
# https://fedoraproject.org/wiki/Changes/PPC64LE_Float128_Transition
# in F-36
Patch0:         h5py-3.10.0-ppc-float128.patch
# Patch1:         0001-Fix-compiling-fileobj-file-driver-with-Cython-3.0.patch
Patch2:         h5py-3.10.0-python-crash-file-test2.patch

%description
The h5py package provides both a high- and low-level interface to the HDF5
library from Python. The low-level interface is intended to be a complete
wrapping of the HDF5 API, while the high-level component supports  access to
HDF5 files, datasets and groups using established Python and NumPy concepts.

%package -n     python3-%{pypi_name}
Summary:        Read and write HDF5 files from Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  hdf5-devel
BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  python3dist(pytools)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pkgconfig)

Requires:       python3-numpy

%description -n python3-%{pypi_name}
The h5py package provides both a high- and low-level interface to the HDF5
library from Python. The low-level interface is intended to be a complete
wrapping of the HDF5 API, while the high-level component supports  access to
HDF5 files, datasets and groups using established Python and NumPy concepts.
This is the Python 3 version of %{pypi_name}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# docs
make -C docs html SPHINXOPTS=
rm -rf docs/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc licenses/*.txt README.rst
%doc docs/_build/html


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.11.0-5.mga10
+ Revision: 2240691
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 3.11.0-4.mga10
+ Revision: 2157117
- rebuild for python3.13

* Mon Sep 09 2024 daviddavid <daviddavid> 3.11.0-3.mga10
+ Revision: 2094737
- switch to pyproject

* Mon Sep 09 2024 daviddavid <daviddavid> 3.11.0-2.mga10
+ Revision: 2094726
- rebuild for new hdf5 1.14.4.3

* Mon Jun 24 2024 papoteur <papoteur> 3.11.0-1.mga10
+ Revision: 2076504
- new version 3.11.0

* Wed Dec 20 2023 tv <tv> 3.10.0-1.mga10
+ Revision: 2020426
- 3.10.0
- Rebuild for python 3.12

* Fri Mar 03 2023 daviddavid <daviddavid> 3.7.0-2.mga9
+ Revision: 1946635
- add upstream patch to fix build with Sphinx >= 6.0

* Mon Dec 05 2022 eatdirt <eatdirt> 3.7.0-1.mga9
+ Revision: 1918323
- Upgrade to version 3.7.0
+ papoteur <papoteur>
- rebuild for hdf5 1.12.2

* Fri Apr 01 2022 umeabot <umeabot> 2.9.0-7.mga9
+ Revision: 1838185
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 2.9.0-6.mga9
+ Revision: 1775499
- Skip rpath checks
- Rebuild for python-3.10

* Sat Jan 09 2021 daviddavid <daviddavid> 2.9.0-5.mga9
+ Revision: 1670046
- rebuild for new hdf5 1.10.7 (mga#28046)

* Sun Feb 16 2020 umeabot <umeabot> 2.9.0-4.mga8
+ Revision: 1533092
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 2.9.0-3.mga8
+ Revision: 1443314
- rebuild for python-3.8
- drop python2 subpkg

* Mon Aug 19 2019 wally <wally> 2.9.0-2.mga8
+ Revision: 1430338
- build html docs

* Sun Mar 24 2019 guillomovitch <guillomovitch> 2.9.0-1.mga7
+ Revision: 1380021
- new version 2.9.0

* Tue Jan 08 2019 tv <tv> 2.8.0-4.mga7
+ Revision: 1351695
- rebuild with python 3.7

* Thu Nov 08 2018 daviddavid <daviddavid> 2.8.0-3.mga7
+ Revision: 1328946
- rebuild for new hdf5 1.10.4

* Sun Sep 23 2018 umeabot <umeabot> 2.8.0-2.mga7
+ Revision: 1300495
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 eatdirt <eatdirt> 2.8.0-1.mga7
+ Revision: 1251911
- Upgrade to version 2.8.0

* Sat Aug 05 2017 pterjan <pterjan> 2.3.1-5.mga7
+ Revision: 1135446
- Rebuild for python 3.6

* Tue Feb 16 2016 umeabot <umeabot> 2.3.1-4.mga6
+ Revision: 962226
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.3.1-3.mga6
+ Revision: 888903
- rebuild for python 3.5

* Tue Jul 21 2015 daviddavid <daviddavid> 2.3.1-2.mga6
+ Revision: 855908
- rebuild with new hdf5

* Mon Dec 29 2014 daviddavid <daviddavid> 2.3.1-1.mga5
+ Revision: 807051
- new version: 2.3.1 (fix build failure)
- add a Python3 package
- update Source0 link-url
- add docs for both packages
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.2.0-3.mga4
+ Revision: 543472
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2.0-2.mga4
+ Revision: 498708
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 2.2.0-1.mga4
+ Revision: 492716
- Update to 2.2.0

* Thu Jul 25 2013 joequant <joequant> 2.1.0-1.mga4
+ Revision: 458011
- imported package python-h5py

